org.eclipse.emf.compare.provider

## Class EMFCompareEditPlugin

- java.lang.Object
- - org.eclipse.emf.common.util.DelegatingResourceLocator
  - - org.eclipse.emf.common.EMFPlugin
    - - org.eclipse.emf.compare.provider.EMFCompareEditPlugin

All Implemented Interfaces:
  Logger, ResourceLocator

    public final class EMFCompareEditPlugin
    extends EMFPlugin

This is the central singleton for the Compare edit plugin.

Generated:

### Nested Class Summary

Nested Classes
`static class` `EMFCompareEditPlugin.Implementation` The actual implementation of the Eclipse Plugin

### Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin

`EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper, EMFPlugin.OSGiDelegatingBundleActivator`

### Field Summary

Fields
`static String` `copyright`
`static EMFCompareEditPlugin` `INSTANCE` Keep track of the singleton
`static String` `PLUGIN_ID` The plug-in ID.

### Fields inherited from class org.eclipse.emf.common.EMFPlugin

`delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

### Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

`baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

### Constructor Summary

Constructors
Constructor and Description
`EMFCompareEditPlugin()` Create the instance

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EMFCompareEditPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin
`ResourceLocator` `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin

### Methods inherited from class org.eclipse.emf.common.EMFPlugin

`getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

### Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator

`delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator

`getBaseURL, getImage, getString, getString, getString, getString`

### Field Detail

#### PLUGIN_ID

    public static final String PLUGIN_ID

The plug-in ID.

Since:
  3.0
See Also:
  Constant Field Values

#### copyright

    public static final String copyright

See Also:
  Constant Field Values
Generated:

#### INSTANCE

    public static final EMFCompareEditPlugin INSTANCE

Keep track of the singleton.

Generated:

### Constructor Detail

#### EMFCompareEditPlugin

    public EMFCompareEditPlugin()

Create the instance.

Generated:

### Method Detail

#### getPluginResourceLocator

    public ResourceLocator getPluginResourceLocator()

Returns the singleton instance of the Eclipse plugin.

Specified by:
  `getPluginResourceLocator` in class `EMFPlugin`
Returns:
  the singleton instance.
Generated:

#### getPlugin

    public static EMFCompareEditPlugin.Implementation getPlugin()

Returns the singleton instance of the Eclipse plugin.

Returns:
  the singleton instance.
Generated: